GETPOST
v2.0.0stable

Get Price

Retrieve device pricing filtered by type (instant/review), warranty, and device type. Returns the user IP address

GET | POST/api/price
Auth:API Key
Granica:120/minute

Parametry żądania

Wszystkie parametry mogą być przekazywane za pośrednictwem zapytania lub ciała

ParametrRodzajWymaganeOpis
token
stringWymagane
User API token
Przykład: your_api_token_here
type
stringOpcjonalnie
Price type: instant or review. Empty or 'all' returns all types
instantreviewall
Przykład: instant
warranty
stringOpcjonalnie
Warranty type: 0/1/2/3/4/6. Empty or 'all' returns all warranty types
012346all
Przykład: 1
deviceType
stringOpcjonalnie
Device type: iphone or ipad. Empty or 'all' returns all device types
iphoneipadall
Przykład: iphone

Odpowiedź

ParametrRodzajWymaganeOpis
code
numberWymagane
Status code: 1=success, 0=failure
Przykład: 1
msg
stringWymagane
Response message
Przykład: 查询成功
time
numberWymagane
Server timestamp (Unix seconds)
Przykład: 1769675945
data
objectWymagane
Response payload
data.ip
stringWymagane
User IP address
Przykład: 192.168.1.100
data.instant
object | arrayWymagane
Instant price (object for single, array for multiple). Only returned when type is empty, 'all', or 'instant'
data.review
object | arrayWymagane
Review price (object for single, array for multiple). Only returned when type is empty, 'all', or 'review'
*.warranty
stringWymagane
Warranty type code
Przykład: 1
*.warrantyName
stringWymagane
Warranty type name
Przykład: 标准版
*.deviceType
stringWymagane
Device type
Przykład: iphone
*.price
numberWymagane
Price (unit: CNY)
Przykład: 10
ysucc
stringWymagane
Success flag, returns "Ysucc" on success
Przykład: Ysucc
Przykład odpowiedzi
{
"code":1,
"msg":"Query successful",
"time":1769675945,
"data":
{
"ip":"192.168.1.100",
"instant":
{
"type":"instant",
"typeName":"秒出",
"warranty":"1",
"warrantyName":"标准版",
"deviceType":"iphone",
"price":10
}
,
"review":
{
"type":"review",
"typeName":"审核",
"warranty":"1",
"warrantyName":"标准版",
"deviceType":"iphone",
"price":8
}
}
,
"ysucc":"Ysucc"
}

Query all prices

Without type, warranty, deviceType params, returns all combinations

Query all prices
{
"code":1,
"msg":"Query successful",
"time":1769675945,
"data":
{
"ip":"192.168.1.100",
"instant":
[
{
"warranty":"0",
"warrantyName":"躺平版",
"deviceType":"iphone",
"price":5
}
,
{
"warranty":"1",
"warrantyName":"标准版",
"deviceType":"iphone",
"price":10
}
,
{
"warranty":"0",
"warrantyName":"躺平版",
"deviceType":"ipad",
"price":6
}
]
,
"review":
[
{
"warranty":"0",
"warrantyName":"躺平版",
"deviceType":"iphone",
"price":4
}
,
{
"warranty":"1",
"warrantyName":"标准版",
"deviceType":"iphone",
"price":8
}
]
}
,
"ysucc":"Ysucc"
}

Query instant prices only

type=instant, returns all instant prices

Query instant prices only
{
"code":1,
"msg":"Query successful",
"time":1769675945,
"data":
{
"ip":"192.168.1.100",
"type":"instant",
"typeName":"秒出",
"warranty":"1",
"warrantyName":"标准版",
"deviceType":"iphone",
"price":10
}
,
"ysucc":"Ysucc"
}

Kod błędu

Kod błędu3 zdefiniowane
0
Invalid token
Invalid or expired token
0
Basic and High-Basic plans do not support iPad devices
Warranty type 4 and 6 do not support iPad devices
0
Basic and High-Basic plans do not support review/reservation
Warranty type 4 and 6 do not support review/reservation

Język odpowiedzi

Dostosuj język odpowiedzi API do nagłówka X- Lang. Poniższe przykłady kodów automatycznie korzystają z aktualnego języka strony.

Zalecany nagłówek
X-Lang: pl
Obsługiwane języki
zh, en, zh-TW, vi, ar, es, ru

Obsługiwane jest również Accept- Language; X- Lang ma pierwszeństwo. Nieobsługiwane języki podążają za zapasami języka strony.

Przykłady kodów

curl -X GET "https://testypro.iwai.cc,https://cer.xyul.cn,https://cer.iwai.cc/api/price?token=your_api_token_here&type=instant&warranty=1&deviceType=iphone" \
  -H "X-Lang: pl"

Uwagi

  • 参数通过 Query 或 x-www-form-urlencoded 传递
  • 摆烂版(4)和高摆烂版(6)仅支持秒出 + iPhone,不支持 iPad 和审核/预约
  • 价格可能因用户不同而有所差异(用户专属价格)
  • 返回的价格为添加单台设备的费用

Spróbuj w konsoli

Wypełnij poniższe parametry i wyślij wniosek o przetestowanie. Żądania są kierowane tylko do API tej witryny; adres URL jest zablokowany i nie może być zmieniony, a obecne pliki cookie logowania są włączone.

https://testypro.iwai.cc/api/price?token=your_api_token_here&type=instant&warranty=1&deviceType=iphoneZamknięte na tej stronie
stringWymagane

User API token

string

Price type: instant or review. Empty or 'all' returns all types

string

Warranty type: 0/1/2/3/4/6. Empty or 'all' returns all warranty types

string

Device type: iphone or ipad. Empty or 'all' returns all device types